> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 예측 조회

> 예측을 조회합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json get /v2/{entity}/{project}/predictions/{prediction_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/predictions/{prediction_id}:
    get:
      tags:
        - Predictions
      summary: 예측 조회
      description: 예측을 조회합니다.
      operationId: prediction_read_v2__entity___project__predictions__prediction_id__get
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
        - in: path
          name: prediction_id
          required: true
          schema:
            title: Prediction Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PredictionReadRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    PredictionReadRes:
      properties:
        evaluation_run_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 이 예측이 연결된 Evaluation run ID(있는 경우)
          title: Evaluation Run Id
        inputs:
          additionalProperties: true
          description: 예측의 입력값
          title: Inputs
          type: object
        model:
          description: 모델 레퍼런스(weave:// URI)
          title: Model
          type: string
        output:
          description: 예측의 출력값
          title: Output
        prediction_id:
          description: 예측 ID
          title: Prediction Id
          type: string
        wb_user_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 직접 설정하지 마세요. 서버가 이 필드를 자동으로 채웁니다.
          title: Wb User Id
      required:
        - prediction_id
        - model
        - inputs
        - output
      title: PredictionReadRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````